MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions | Variables

# src/tag_pool.h File Reference

`#include "tag.h"`
`#include <glib.h>`

Go to the source code of this file.

## Functions
void | tag_pool_init (void)
void | tag_pool_deinit (void)
struct tag_item * | tag_pool_get_item (enum tag_type type, const char *value, size_t length)
struct tag_item * | tag_pool_dup_item (struct tag_item *item)
void | tag_pool_put_item (struct tag_item *item)
## Variables
GMutex * | tag_pool_lock

## Function Documentation

void tag_pool_deinit | ( | void |  | ) |

struct tag_item* tag_pool_dup_item | ( | struct tag_item * | item | ) | `[read]`

struct tag_item* tag_pool_get_item | ( | enum tag_type | type,
|  | const char * | value,
|  | size_t | length
| ) |  | `[read]`

void tag_pool_init | ( | void |  | ) |

void tag_pool_put_item | ( | struct tag_item * | item | ) |

## Variable Documentation

GMutex* tag_pool_lock